#
# spec file for package wiggle
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           wiggle
Version:        1.3
Release:        1.16
Summary:        A Tool for Applying Patches with Conflicts
License:        GPL-2.0-or-later
Group:          Productivity/Text/Utilities
URL:            https://neil.brown.name/wiggle/
Source0:        https://github.com/neilbrown/wiggle/archive/v%{version}.tar.gz
BuildRequires:  ncurses-devel

%description
Wiggle is a program for applying patches that 'patch' cannot apply due
to conflicting changes in the original.

Wiggle will always apply all changes in the patch to the original. If
it cannot find a way to cleanly apply a patch, it inserts it in the
original in a manner similar to 'merge' and reports an unresolvable
conflict.

%prep
%setup -q

%build
make %{?_smp_mflags} CFLAGS="-I. %{optflags}" wiggle

%install
%make_install

%files
%doc ANNOUNCE
%license COPYING
%{_bindir}/wiggle
%{_mandir}/man1/wiggle.1%{?ext_man}

%changelog
* Mon Oct  5 2020 Michael Vetter <mvetter@suse.com>
- Update to 1.3:
  * Performance improvements when comparing large files
  * libwiggle.a can be built for other tools to use
  * Makefile is quieter and can put binaries elsewhere
  * Fix a bug that corrupted the format of output in some case
* Fri Dec 27 2019 Michael Vetter <mvetter@suse.com>
- Update to 1.2:
  * Fix format overflow and truncation warnings with GCC-8.
  * Fix array bounds error in diff_path
  * extract: allow blank lines in unified diffs
  * Add --no-backup option
  * Preserve file mode when using doing --merge --replace
  * Fix very minor memory leaks in do_merge()
  * Several small fixes
* Thu Aug  9 2018 rpm@fthiessen.de
- Update to 1.1:
  * Fix endian checks as per austin group definitions of endian.h
  * Minor man page fixes
* Sun Jul  3 2016 mpluskal@suse.com
- Some spec file cleanups with spec-cleaner
- Enable parallel building
- Install COPYING (as package should contain its license)
* Fri Aug 23 2013 nfbrown@suse.com
- New upstream release 1.0
  Substatial improvements to --browser mode including
  ability to edit the resulting merge.
  New --ignore-blanks flag.
  Improved git integration.
* Tue May 15 2012 nfbrown@suse.com
- New upstream release 0.9.
  Numerous bugfixes for edge cases,
  lots of improvements to --browser mode which
  is now documented
  new --show-wiggle flag to make it easier to
  see what wiggle is trying to do
* Mon Feb 13 2012 coolo@suse.com
- patch license to follow spdx.org standard
* Thu Sep 15 2011 andrea.turrini@gmail.com
- Fixed typo in wiggle.spec
* Thu Apr 22 2010 aj@suse.de
- Fix buffer overflow.
* Wed Mar 24 2010 nfbrown@novell.com
- Update to new upstream release 0.8 which makes all
  patches redundant and resolves bnc#473776
* Mon Feb 13 2006 nfbrown@novell.com
- remap-segfault.diff: Fix a segmentation fault in function remap
  (147977).
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Oct 31 2005 dmueller@suse.de
- don't build as root
* Sat Mar 20 2004 agruen@suse.de
- Add fix from Chris Mason.
* Mon Jul 14 2003 agruen@suse.de
- Initial version.
